List notification rules
GET
/v1/notificationrule/
const url = 'https://example.com/v1/notificationrule/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/notificationrule/ \ --header 'Authorization: Bearer <token>'Return all notification rules for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
name
string
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
agent
string format: uuid
agent_offline
boolean
agent_tag
string
contacts_groups
Array<string>
created_at
required
string format: date-time
created_by
required
string format: uuid
custom_grace_period
Custom grace period in seconds
integer
enabled
boolean
id
required
string format: uuid
metric_item
string
metric_label
string
metric_labels_text
string
metric_display_name
required
string
modified_at
required
string format: date-time
modified_by
required
string format: uuid
name
string
recording_rule
string format: uuid
repeatable_delay
Delay in minutes to repeat notification
integer
server_group
string format: uuid
targets
Array<string>
on_call_schedules
Array<string>
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}